> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pending Approval

> List pending transactions.

- `for_user=me` filters to transactions whose USD amount falls within the
  authority range of the caller's role (per `withdrawal_approval_rules`),
  and — if maker-checker is enabled — excludes transactions the caller
  themselves created.
- `count_only=true` returns `{"count": N}` instead of the full list. Can be
  combined with `for_user=me`.



## OpenAPI

````yaml /openapi.json get /transactions/pending-approval
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /transactions/pending-approval:
    get:
      tags:
        - Transactions
      summary: List Pending Approval
      description: >-
        List pending transactions.


        - `for_user=me` filters to transactions whose USD amount falls within
        the
          authority range of the caller's role (per `withdrawal_approval_rules`),
          and — if maker-checker is enabled — excludes transactions the caller
          themselves created.
        - `count_only=true` returns `{"count": N}` instead of the full list. Can
        be
          combined with `for_user=me`.
      operationId: list_pending_approval_transactions_pending_approval_get
      parameters:
        - name: for_user
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Set to 'me' to filter to transactions the caller is authorized to
              approve
            title: For User
          description: >-
            Set to 'me' to filter to transactions the caller is authorized to
            approve
        - name: count_only
          in: query
          required: false
          schema:
            type: boolean
            description: 'Return {''count'': N} instead of the full list'
            default: false
            title: Count Only
          description: 'Return {''count'': N} instead of the full list'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````